Нужно обновить версию C++ компилятора.

Сначала посмотрим версию текущую:

gcc --version

gcc (GCC) 4.4.7 20120313

Установим scl

yum install centos-release-scl

Обновим и проверим devtools

# yum upgrade
# yum list all | grep devtoolset

Установим devtoolset 7

yum install -y devtoolset-7

Проверим снова версию

gcc --version

gcc (GCC) 7.3.1 20180303

scl enable devtoolset-7 bash

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *